---
title: Professional development in 2019
excerpt: A look back at what happened in 2019 - professionally.  For me.
tags: ["career", "growth", "personal", "react", "swift"]
---

![A dude sitting on a chair with legs crossed casually pretending to read but seemingly looking off into the distance with a confident smile, or perhaps to look at a neat dog. From Open Doodles.](https://cdn.wonderfulfrog.com/images/dude-pretending-to-read.png "A dude sitting on a chair with legs crossed casually pretending to read but seemingly looking off into the distance with a confident smile, or perhaps to look at a neat dog. From Open Doodles.")

2019 was a slow year for professional development. As things started to stagnate near the end of the year, I sensed it was time to move on and look for a new job. Before we talk about 2019, I wanted to revisit the goals from 2018:

- React Suspense
- GraphQL
- Team lead experience
- Pursuing personal projects
- Positivity

React Suspense is still (as of this writing) in development. I did some short exploration on what was currently available, but nothing further. I don't see Suspense being finished this year, so I won't worry about it.

I didn't end up learning any GraphQL in 2019 beyond a few brief explorations with tutorial content. Since 2020 has started, I've finally acquired that experience and deep learning. I'll be continuing to learn and acquire GraphQL experience. It feels good being able to look at the queries powering my blog and actually understanding them. A key concept was the idea of cursor-based pagination, also known as [Connections](https://blog.apollographql.com/explaining-graphql-connections-c48b7c3d6976).

Team lead experience didn't end up happening. Since getting a new job, I've sidelined that aspiration until I've gained more experience at my new workplace.

I did not explore any personal projects in 2019 beyond my personal blog. Hot on the heels of the new year, I started playing around with Swift -- Swift UI and UIKit.

I am still continually aware of my attitude and try my best to remain positive. This is not so difficult in the workplace, but outside of work it can be difficult given the current climate.

So what _did_ happen in 2019?

- Continued to gain React experience
- Became unhappy with my current work environment
- Got a new job

Professionally speaking, 2019 was one of my weakest years. I did not acquire nearly as many skills nor experience that I was searching for. I ended up stagnating. I got more experience with React and the entire ecosystem. I feel at this point it's a well-worn (but polished) tool on my belt, ready to go at a moment's notice. I've developed my own opinions on architecture, but continue to evaluate new options. The future for React looks bright, so I feel like my time invested into the ecosystem was worth it.

Besides React though, I did not develop anything else really new. Since writing last year's review, I worked on the same project all year. I continued to struggle and be at odds with the other development team who was in charge. We felt ignored and undermined repeatedly. I like to think I can collaborate with any team, and try to make sure everyone is happy. I could not figure out a system that worked with them. It lead to a stressful environment, with fevered calls from project managers demanding to know why XYZ feature is not done, or why the app is suddenly broken. I didn't know what to do, and due to the nature of our partnership we couldn't take the reigns. We were at their mercy.

I met with my managers and let them know my frustrations, but it seemed like nothing could be done. On a whim, I applied to a new agency in town thinking maybe something might come of it. Turns out, I wanted them and they wanted me. It was a match made in heaven!

Thankfully, I landed a new job at a company that feels amazing to work for. I am constantly surrounded by some very clever people who have a genuine passion for what they do. I have only been here for a short three months so far, but I can say the difference is night and day. I'm really excited to see where things go from here. There are many opportunities on the horizon that I can see.

## Stuff in 2020

I think 2020 should be a great year for professional development. I see the opportunity to really flex my dev muscles and get into the weeds. I'd like to focus on one thing and that's **iOS development**.

I've managed to make two projects so far using a combination of Swift tutorials and plenty of StackOverflow searching. Based the recommendations of my coworkers, I focused on learning UIKit and not Swift UI. I plan on going into more detail in a future post.

This year, I'd like to create a really dead-simple app and get it published onto the App Store. I have a few ideas in mind for what I can do.
