---
title: "2020: In Review"
excerpt: A remarkable year.
tags: ["year recap"]
---

How do you even begin to summarize the whirlwind that was 2020? What are the Greatest Hits? Here’s a short list:

- COVID-19.
- The president was impeached and nothing happened.
- Harvey Weinstein was sentenced.
- The death of George Floyd.
- The Beirut explosion.
- Murder hornets.
- Ruth Bader Ginsberg’s passing.
- The sucker punch: news of MF DOOM’s passing on the last day of the year.

When I was young, I always wondered what it would be like to live through a historic event like the Vietnam War, or the AIDS crisis. It feels like I’ve lived through a lifetime of them in the span of a year. And my list isn’t even close to everything that happened in 2020.

A lot of good things happened this year too:

- Multiple vaccines for COVID-19.
- There might be microbial life on Mars! Water on the Moon!
- [The Pentagon released footage of “unidentified aerial phenomena” (read: UFOs!).][ufos]
- Working from home had a revolution.
- Lots of really cool SpaceX launches.
- [That time that air pollution was so low because of the pandemic.][pollution]
- Trump lost. And kept losing.
- [Italian mayors losing their shit telling people to stay home.][mayors]
- [Olive and Mabel by a sports commentator.][commentator]
- [Google is being sued by the US for antitrust violations.][antitrust]
- We got Season 2 of The Mandalorian.

![A screenshot of my phone with a news heading that says 'BIDEN BEATS TRUMP'](https://cdn.wonderfulfrog.com/images/8deaca3a-3ad8-4a2b-9068-b6ea1b7f7ec1.jpeg "A cherished screenshot")

I had to search for both positive and negative events because my brain is having enough trouble dealing with the present, let alone reasoning what happened in the past.

As for me... well...

## Work

When 2020 started, I was only 2 months into my new job. A year later and I’ve dug into the work. This year has been such a fantastic reminder of how fortunate I am to work for my company. There is a clear understanding of the events in the world and an implicit assumption that nobody is at (or even near) 100% productivity. There is a tacit acknowledgement that sometimes people need to take a few hours (or more) off to refocus. They care about the humans behind their work.

It’s also my first workplace that feels “real” — in the sense that we (the company) have core values that we all believe in, and if we don’t meet them the expectation is that we shore up or ship out. I had a sobering reminder of what that means this year. It was like my first year of university. Impostor Syndrome struck its claws into me quite deep this year, as I felt like I was an outsider/impostor working with such a talented group of people across disciplines. I felt anxious and was certain I was going to be axed once the pandemic rolled in. The opposite could not have been more true. Everyone was there to support me and make sure that I landed with two feet. It was an incredible feeling knowing I was valued.

I’ve found my groove now after a rocky start. Being surrounded by colleagues who value their work and really truly want to do the best can be an invigorating feeling.

Last year I was excited to get started in iOS development, and started making a super simple (Magic the Gathering) life counter app. It never got beyond the earliest stages though. Then my work ended up going in a very web-focused direction. Now I’m not so sure I want to even have an app on the App Store as my indifference toward Apple seems to grow by the day.

On the team leadership side of things, I did get the opportunity to lead a small team in creating a Slack app for a not-for-profit company. That was a ton of fun for multiple reasons, but above all it was my first time seeing something the company made (that I had a hand in) live in the real world! It was a real privilege being able to work on it.

I spent more time working with GraphQL and I feel like it’s becoming a reliable tool in my belt now.

Lastly, I finally took the time to learn vim. It was (and still is) an uphill battle, but it’s so rewarding being able to accomplish anything I want using just the keyboard. It’s been a few months and I feel like I’m back up to speed with my mouse and keyboard self. Speed aside, it’s been a ton of fun tweaking my editor to have it _just so_, using things like VimPlug to get some essential plugins. It’s also made me realize how feature-rich vim is by itself and how few plugins I need to get a very powerful editor. I’ve since moved onto NeoVim (nvim) for the plugin ecosystem and have no plans to go back to VS Code.

## Creative

2020 was the year of being indoors, so all the more reason to really engage with my creative hobbies. I started up piano lessons again with my previous teacher after a year of sort-of-but-not-really-trying to play on my own and find a jazz teacher. The value of a teacher who understands you and knows how you like to learn cannot be understated.

I finished a long-standing knitting project (a scarf, but using 2 different colors of yarn) for my Mom. I was proud to finally finish it after starting it last year.

I mostly kept up with drawing, although I’ve had week-long (or more) periods of no practice. I’m eager to get into working with a teacher, but not sure how well it would work remotely.

I got busy with some side projects in the coding space:

- A static site powered by NextJS and AirTable to publish our tea collection.
- [A simple API][hltbapi] for querying [How Long to Beat][hltb], integrated into an iOS shortcut.
- A (incomplete) [CHIP-8 emulator][chip8] built using JavaScript.

I was quite pleased that I kept up (more or less) with monthly summaries on the site here. I hope to continue doing that with some shorter form posts in between. I have a few topics in mind I’d like to explore.

## Mental Health

As with I imagine the majority of people on the Earth this year, my mental health took a sharp nosedive. I remember feeling off all the time, and how nothing seemed to be interesting or engaging. Not even work got me excited. I’m so fortunate that I had the ability to see a professional to talk about these things and start feeling better. I think it was a case of the [“COVID-19 wall”][covidwall].

Working through my emotions though, [I did learn some things about myself][octrecently]. I am more aware of how much I value short, actionable tasks instead of large, vague goals.

I could feel my moods decline when I was paying attention to events unfolding in the US over the year.

## Playing

Being at home I got the chance to settle into some games this year. Without a doubt the majority of my time (over 400 hours worth) went into [Animal Crossing: New Horizons][acnh]. Talk about the right game at the right time. It has regularly been my escape from the... **\*gestures at everything\***.

It also served as a gaming jumping on point for my partner and my parents. Everyone got into it in a big way and it served as a fun bonding activity. We also all got into the same island at once, which was so much fun!

My other favorite games this year would be [A Short Hike][ash] and [Hades][hades]. I went into more detail with my experience with Hades in an [earlier post][novrecently].

## Listening

A notable achievement would be finally organizing my music collection. It’s been something on my todo list for years and I’m so happy I finally got around to it. I’ve been using it happily without issue since I got it running, and it’s super easy to maintain. For those curious [I went into more detail in this post][music].

Finally I feel like I need to mention [Bandcamp Fridays][bcf]. This was a hidden gem turned into favorite of mine this year. It was one day a month I went a little crazy and bought a ton of music. I’m happy to see the tradition is returning in 2021.

## Closing

I’m writing this post about a week into 2021 and if you’ve been following along... 2021 be like “hold my beer”. I’m hoping it turns into a redemption arc, but we’re not off to a great start. Here’s hoping, though. As a great man — Ted Lasso — once said: it’s the _lack_ of hope that kills you.

[ufos]: https://www.cnn.com/2020/04/27/politics/pentagon-ufo-videos/index.html
[pollution]: https://www.insider.com/before-after-photos-show-less-air-pollution-during-pandemic-lockdown
[mayors]: https://www.youtube.com/watch?v=KxtGJsnLgSc
[commentator]: https://www.youtube.com/watch?v=vPhpJuraz14
[antitrust]: https://www.washingtonpost.com/technology/2020/12/17/google-search-antitrust-lawsuit/
[hltb]: https://howlongtobeat.com
[hltbapi]: http://hltb-api.vercel.app/
[chip8]: https://github.com/devinwl/chip-8
[covidwall]: https://metro.co.uk/2020/09/23/how-to-push-through-six-month-coronavirus-wall-13309340/
[octrecently]: /posts/recently-10-2020
[acnh]: https://www.animal-crossing.com/new-horizons/
[novrecently]: /posts/recently-11-2020
[hades]: https://www.supergiantgames.com/games/hades/
[ash]: https://ashorthike.com
[music]: /posts/take-the-power-back-music
[bcf]: https://daily.bandcamp.com/features/bandcamp-fridays-2021
