---
title: /uses
description: A list of my favourite things and why I like 'em.
---

# Uses

Last updated on **January 10th, 2025**.

A list of my favourite software, tools, gear, configurations, and everything else between.

More lists like this are available at [uses.tech](https://uses.tech/).

There are no affiliate links.

## Development

My editor of choice is [Neovim](https://neovim.io/), which uses a [very opinionated setup](https://github.com/wonderfulfrog/neovim).

My preferred terminal is [WezTerm](https://wezfurlong.org/wezterm/index.html), which works on all major platforms. On Windows I also use [Windows Terminal](https://apps.microsoft.com/detail/9n0dx20hk701?hl=en-us&gl=US).

Wherever possible I use the [Tokyo Night](https://github.com/folke/tokyonight.nvim) colour scheme.

My favourite font is [Operator Mono](https://www.typography.com/fonts/operator/styles). I have modified it with [Nerd Font](https://www.nerdfonts.com/) glyphs to power up my terminal views.

I prefer to use formatting tools (e.g. [Prettier](https://prettier.io/)) when writing code, and rely on those for conforming to established coding style guidelines. I encourage teams to use them if they aren't already.

I use the latest version of macOS primarily, but am comfortable doing web development on Linux or Windows.

When working in web development, I try to use as few tools as possible, and rely as much as I can on HTML, CSS, and plain JavaScript. Where possible, I prefer my development pipeline to eventually compile into just HTML with as little JavaScript as possible.

That said, sometimes bigger tools are necessary, and I will typically reach for [React](https://react.dev/) in those situations. I've been using React for over 10 years now, and feel comfortable within its ecosystem.

While I'm not a mobile developer, I am comfortable using [React Native](https://reactnative.dev/) to write cross-platform mobile apps.

## Gear

My monitor is a [Dell U3423WE](https://www.dell.com/en-ca/shop/dell-ultrasharp-34-curved-usb-c-hub-monitor-u3423we/apd/210-bfou/monitors-monitor-accessories) ultra-wide monitor. It has a built-in KVM switch that lets me swap between my work and gaming computer effortlessly. My only complaint is that the Ethernet port is flaky, so I can't use it.

My keyboard is a [Keychron Q4](https://www.keychron.com/products/keychron-q4-pro-qmk-via-wireless-custom-mechanical-keyboard) with Gateron G Pro Red switches. Right now I have their white PBT keycaps with an OSA style.

My mouse is a [Keychron M3](https://www.keychron.com/products/keychron-m3-wireless-mouse). It love it because there is zero branding on the top part of the mouse, and it works very well. It's a cheap, no nonsense mouse.

My desk is the [Autonomous SmartDesk Pro](https://www.autonomous.ai/desks-chairs-fit-for-your-workspace/smartdesk-pro-w) with a 53" bamboo top. It's a solid desk, but their customer support burned me pretty hard so I've sworn off the company.

My speakers of choice are a pair of [Sonos One SL](https://www.sonos.com/en-ca/shop/one-sl)s in stereo. They're expensive, but work extremely well with AirPlay 2. And I can seamlessly add other Sonos speakers to my listening experience.

## Music

I've tried every streaming service out there that's available in Canada (RIP to [Rdio](https://www.theverge.com/2015/11/17/9750890/rdio-shutdown-pandora), you were the real one). I've settled with [Apple Music](https://www.apple.com/apple-music/). It integrates decently well with the Apple ecosystem.

I'm one of those weirdos that likes to buy music, so my favourite purchasing platform is [Bandcamp](https://bandcamp.com/). If an artist isn't on Bandcamp, I'll try other online stores like [7digital](https://ca.7digital.com/).

Speaking of buying music, I need a way to keep it organized. Enter [beets](https://beets.io/?trk=public_post-text), which does an amazing job. It ships with a bunch of opinionated defaults that line up with my own opinions, which worked great for me. Can be tweaked and tinkered with to your heart's content.

I use [Plex](https://www.plex.tv/) as a media server. It does a fine job with serving music. I use [Plexamp](https://www.plex.tv/plexamp/) for playing music from the server.

I use the Sony WH-1000XM3 headphones. Unparalleled noise cancelling and long battery life. Just wish it could swap devices easier. I've had these for over 5 years and they keep going. One day I might upgrade to a recent model that handles device switching better, but these are great. If I need wired headphones, I plug in a 3.5mm jack and they work great (even unpowered).

I use [ListenBrainz](https://listenbrainz.org/) for tracking my music listening history.

[MusicBox](https://apps.apple.com/us/app/musicbox-save-music-for-later/id1614730313) is a wonderful "read it later" app for music. It supports tagging and rating, and integrates well with iOS's Share Sheet. Supports Apple Music and Spotify. You can add songs, albums, and even playlists!

## Photography

My camera camera is [FUJIFILM X-E4](https://fujifilm-x.com/en-ca/products/cameras/x-e4/). I find that any picture I take looks great right out of the camera, no tweaks required. There are a lot of fun film options to choose from.

When I don't have my X-E4, whatever phone I've got is my camera (something something the best camera is the one you have with you). It's currently an iPhone 13 mini, and my only tweak to the camera app is always starting with a -0.3 exposure. Try it out, it makes a noticeable difference for me.

Photo management is all done through the stock Photos app on macOS and iOS.

## Storage and Backups

All of our files and media are stored on our [Synology DS218j](https://global.download.synology.com/download/Document/Hardware/DataSheet/DiskStation/18-year/DS218j/enu/Synology_DS218j_Data_Sheet_enu.pdf).

Offsite backups are sent to [Backblaze B2](https://www.backblaze.com/cloud-storage).

Photos are the exception, and are stored using [iCloud](https://www.icloud.com/) I wish there were an easy way to back up photos to a different technology.

## Email

My email host is [Fastmail](https://www.fastmail.com/). So far I've migrated from Gmail to ProtonMail, and then to Fastmail, and then to a friend's mail server, and back to Fastmail. Email is the one thing I want to be as close to 100% reliable as possible. It should Just Work™.

I use the stock Mail app on macOS and iOS. If I need email access on another platform, I typically rely on Fastmail's web client.

## Software

My favourite pieces of software not mentioned elsewhere.

For password management I use [Bitwarden](https://bitwarden.com/).

[Dark Noise](https://darknoise.app/). I have a hard time falling asleep without some kind of white noise. Beats keeping a fan running all the time.

[NetNewsWire](https://netnewswire.com/) for consuming my RSS feeds.

[Ivory](https://tapbots.com/ivory/) for consuming Mastodon feeds.

[Obsidian](https://obsidian.md) for all of my note-taking. It's cross-platform and supports plugins. Built-in support for backlinks. I don't have a complex organization strategy for my notes - just a basic set of folders. It's very easy to get caught in the rabbit hole of "best way to organize your thoughts".

I use the [Template](https://help.obsidian.md/Plugins/Templates) plugin quite a bit - helps with notes with a common structure.

The [Actions URI](https://github.com/czottmann/obsidian-actions-uri) plugin integrates well with iOS's Shortcuts, which lets me create a note and populate it with data from a single tap!

[Raycast](https://www.raycast.com/) for doing computer-related things. I love using it for launching apps, currency conversions, word definitions, window management, joining meetings, and I'm sure something else I'm forgetting. I couldn't care less about the AI junk, but it does everything else great.

## Other Gear

I don't know where else to put these. Things I enjoy using to help organize my life, or maybe just have some fun.

I love any notebook by [Hobonichi](https://www.1101.com/store/techo/en/). They all feature beautiful and delicate paper that somehow resists fountain pen bleed-through. It has a wonderful texture and feel as you turn each page. The majority of their notebooks lie flat when opened, which is one of their best features. You can absolutely get lost in the sea of accessories and personalization options that Hobonichi has. You've been warned.

I have two notebooks currently. Both are plain, grid-lined notebooks. One is their A6 size (same size as the Techo), which I use for journalling. I have another in A5 size (same size as the Cousin, larger than a Techo) which acts as my scratchpad and short-term note-taking.

I use a [Fjallraven High Coast Hip Pack](https://www.fjallraven.com/ca/en-ca/bags-gear/backpacks-bags/travel-bags/high-coast-hip-pack/?v=F23223::7323451061851) as my everyday carry. It's just big enough that I can fit all of my things without feeling cumbersome. I honestly don't know why it took me so long to embrace the bag life.

For better or worse, I love [AirTag](https://www.apple.com/ca/airtag/)s. Makes it easy to find stuff that I often misplace.
